import $ from 'jquery'
import registerRequireContextHook from 'babel-plugin-require-context-hook/register'
import 'jest-canvas-mock'
import { config } from '@vue/test-utils'

// Mock i18n translater
config.mocks['i18n'] = {
  translate() {},
}

// Define jQuery
global.$ = global.jQuery = $
global.scrollTo = jest.fn()

// Disable console info
global.console.info = jest.fn()

// Make Context.require work
registerRequireContextHook()
